Photon Voice breaks Photon Unity Networking

Using Unity 5.6.0f3 - installing from Unity Asset Store.

Import/Installing Photon Unity Networking (Free) without issue, all demos work. Install Photon Voice second, errors start to occur:

"Assets/Photon Unity Networking/Demos/DemoRockPaperScissors/Scripts/RpsDemoConnect.cs(122,23): error CS0115: `RpsDemoConnect.OnPhotonPlayerActivityChanged(PhotonPlayer)' is marked as an override but no suitable method found to override"

Deleting PUNVoice folder and reinstalling Photon Unity Networking (Free) removes the errors.

Comments

  • JohnTubeJohnTube mod
    edited April 18
    Hi @LoseCryBlame,

    Thank you for choosing Photon!

    PUNVoice includes PUN v1.80. We will update PUNVoice to make it compatible with latest PUN version. I apologize about the inconvenience.
    PUN latest version is 1.83.

    We usually recommend downloading and using PUN included with PUNVoice if you want Photon Voice.
    So you only need one package: PUNVoice.
  • Okay thanks!
Sign In or Register to comment.